io.undertow.server.handlers.proxy.mod_cluster

## Class Balancer

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.Balancer

    public class Balancer
    extends Object

The mod_cluster balancer config.

Author:
  Stuart Douglas, Emanuel Muckenhuber

### Nested Class Summary

Nested Classes
`static class` `Balancer.BalancerBuilder`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getId()`
`int` `getMaxattempts()` Deprecated.
`int` `getMaxRetries()`
`String` `getName()`
`String` `getStickySessionCookie()`
`String` `getStickySessionPath()`
`int` `getWaitWorker()`
`boolean` `isStickySession()`
`boolean` `isStickySessionForce()`
`boolean` `isStickySessionRemove()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getId

    public int getId()

#### getName

    public String getName()

#### isStickySession

    public boolean isStickySession()

#### getStickySessionCookie

    public String getStickySessionCookie()

#### getStickySessionPath

    public String getStickySessionPath()

#### isStickySessionRemove

    public boolean isStickySessionRemove()

#### isStickySessionForce

    public boolean isStickySessionForce()

#### getWaitWorker

    public int getWaitWorker()

#### getMaxRetries

    public int getMaxRetries()

#### getMaxattempts

    @Deprecated
    public int getMaxattempts()

Deprecated.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`